curl --request POST \
--url https://api.wavix.com/v3/10dlc/brands/{brand_id}/vettings/appeals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appeal_categories": [
"VERIFY_TAX_ID"
],
"evidence": [
"855dff49-c097-4645-3983-08dcb9856232"
],
"explanation": "Find the company incorporation docs attached and please review the Brand Identity status.",
"evp_id": "AEGIS",
"vetting_id": "48c0ffaa-4e51-4d44-3982-08dcb9856232"
}
'import requests
url = "https://api.wavix.com/v3/10dlc/brands/{brand_id}/vettings/appeals"
payload = {
"appeal_categories": ["VERIFY_TAX_ID"],
"evidence": ["855dff49-c097-4645-3983-08dcb9856232"],
"explanation": "Find the company incorporation docs attached and please review the Brand Identity status.",
"evp_id": "AEGIS",
"vetting_id": "48c0ffaa-4e51-4d44-3982-08dcb9856232"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appeal_categories: ['VERIFY_TAX_ID'],
evidence: ['855dff49-c097-4645-3983-08dcb9856232'],
explanation: 'Find the company incorporation docs attached and please review the Brand Identity status.',
evp_id: 'AEGIS',
vetting_id: '48c0ffaa-4e51-4d44-3982-08dcb9856232'
})
};
fetch('https://api.wavix.com/v3/10dlc/brands/{brand_id}/vettings/appeals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"success": false,
"message": "Request failed. The feature is disabled for the account."
}{
"success": false,
"message": "Request failed. The Brand is not found."
}{
"success": false,
"message": "Invalid request by VETTED_VERIFIED entity for VERIFY_TAX_ID category"
}Appeal external vetting
Submits an appeal for an external vetting of the 10DLC Brand identified by brand_id.
Authorizations
Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.
Path Parameters
The unique ID of the 10DLC Brand.
"B6AI7PA"
Body
Appeal category and supporting documentation.
Brand external vetting appeal details.
List of appeal categories. Allowed values: VERIFY_TAX_ID, VERIFY_NON_PROFIT, VERIFY_GOVERNMENT, LOW_SCORE.
["VERIFY_TAX_ID"]
List of evidence IDs associated with the appeal.
["855dff49-c097-4645-3983-08dcb9856232"]
Appeal comment or justification.
"Find the company incorporation docs attached and please review the Brand Identity status."
EVP ID.
"AEGIS"
Vetting ID.
"48c0ffaa-4e51-4d44-3982-08dcb9856232"
Response
Returns the submitted appeal.
Indicates whether the request was successful.
true
Was this page helpful?